Subject: Re: [PATCH v1 13/15] io_uring/zcrx: add copy fallback

From: Stanislav Fomichev <[email-masked]>
Date: Tue, 8 Oct 2024 08:58:36 -0700

On 10/07, David Wei wrote:
> From: Pavel Begunkov <[email-masked]>
> 
> There are scenarios in which the zerocopy path might get a normal
> in-kernel buffer, it could be a mis-steered packet or simply the linear
> part of an skb. Another use case is to allow the driver to allocate
> kernel pages when it's out of zc buffers, which makes it more resilient
> to spikes in load and allow the user to choose the balance between the
> amount of memory provided and performance.

Tangential: should there be some clear way for the users to discover that
(some counter of some entry on cq about copy fallback)?

Or the expectation is that somebody will run bpftrace to diagnose
(supposedly) poor ZC performance when it falls back to copy?